Debian Bug report logs - #666625
php-horde-mime-viewer: FTBFS: Cannot download non-local package "./Horde_Mime_Viewer-1.0.8/package.xml"

version graph

Package: src:php-horde-mime-viewer; Maintainer for src:php-horde-mime-viewer is Horde Maintainers <pkg-horde-hackers@lists.alioth.debian.org>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Sat, 31 Mar 2012 20:09:31 UTC

Severity: serious

Tags: sid, wheezy

Found in version php-horde-mime-viewer/1.0.8-1

Fixed in version php-horde-mime-viewer/1.0.8-1.1

Done: Thomas Goirand <zigo@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Horde Maintainers <pkg-horde-hackers@lists.alioth.debian.org>:
Bug#666625; Package src:php-horde-mime-viewer. (Sat, 31 Mar 2012 20:09:34 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Horde Maintainers <pkg-horde-hackers@lists.alioth.debian.org>. (Sat, 31 Mar 2012 20:09:34 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: php-horde-mime-viewer: FTBFS: Cannot download non-local package "./Horde_Mime_Viewer-1.0.8/package.xml"
Date: Sat, 31 Mar 2012 21:51:20 +0200
Source: php-horde-mime-viewer
Version: 1.0.8-1
Severity: serious
Tags: wheezy sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20120331 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
>  fakeroot debian/rules binary
> dh binary --buildsystem=phppear --with phppear
>    dh_testroot -O--buildsystem=phppear
>    dh_prep -O--buildsystem=phppear
>    dh_installdirs -O--buildsystem=phppear
>    dh_auto_install -O--buildsystem=phppear
> File "js/syntaxhighlighter/MIT-LICENSE" in directory "<dir name="/">" has invalid role "horde", should be one of cfg, data, doc, php, script, test, www
> This package contains role "horde" and requires package "horde/Role" to be used
> File "js/syntaxhighlighter/LGPL-LICENSE" in directory "<dir name="/">" has invalid role "horde", should be one of cfg, data, doc, php, script, test, www
> This package contains role "horde" and requires package "horde/Role" to be used
> File "js/syntaxhighlighter/styles/shThemeRDark.css" in directory "<dir name="/">" has invalid role "horde", should be one of cfg, data, doc, php, script, test, www
> This package contains role "horde" and requires package "horde/Role" to be used
> File "js/syntaxhighlighter/styles/shThemeMidnight.css" in directory "<dir name="/">" has invalid role "horde", should be one of cfg, data, doc, php, script, test, www
> This package contains role "horde" and requires package "horde/Role" to be used
> File "js/syntaxhighlighter/styles/shThemeMDUltra.css" in directory "<dir name="/">" has invalid role "horde", should be one of cfg, data, doc, php, script, test, www
> This package contains role "horde" and requires package "horde/Role" to be used
> File "js/syntaxhighlighter/styles/shThemeFadeToGrey.css" in directory "<dir name="/">" has invalid role "horde", should be one of cfg, data, doc, php, script, test, www
> This package contains role "horde" and requires package "horde/Role" to be used
> File "js/syntaxhighlighter/styles/shThemeEmacs.css" in directory "<dir name="/">" has invalid role "horde", should be one of cfg, data, doc, php, script, test, www
> This package contains role "horde" and requires package "horde/Role" to be used
> File "js/syntaxhighlighter/styles/shThemeEclipse.css" in directory "<dir name="/">" has invalid role "horde", should be one of cfg, data, doc, php, script, test, www
> This package contains role "horde" and requires package "horde/Role" to be used
> File "js/syntaxhighlighter/styles/shThemeDjango.css" in directory "<dir name="/">" has invalid role "horde", should be one of cfg, data, doc, php, script, test, www
> This package contains role "horde" and requires package "horde/Role" to be used
> File "js/syntaxhighlighter/styles/shThemeDefault.css" in directory "<dir name="/">" has invalid role "horde", should be one of cfg, data, doc, php, script, test, www
> This package contains role "horde" and requires package "horde/Role" to be used
> File "js/syntaxhighlighter/styles/shCoreRDark.css" in directory "<dir name="/">" has invalid role "horde", should be one of cfg, data, doc, php, script, test, www
> This package contains role "horde" and requires package "horde/Role" to be used
> File "js/syntaxhighlighter/styles/shCoreMidnight.css" in directory "<dir name="/">" has invalid role "horde", should be one of cfg, data, doc, php, script, test, www
> This package contains role "horde" and requires package "horde/Role" to be used
> File "js/syntaxhighlighter/styles/shCoreMDUltra.css" in directory "<dir name="/">" has invalid role "horde", should be one of cfg, data, doc, php, script, test, www
> This package contains role "horde" and requires package "horde/Role" to be used
> File "js/syntaxhighlighter/styles/shCoreFadeToGrey.css" in directory "<dir name="/">" has invalid role "horde", should be one of cfg, data, doc, php, script, test, www
> This package contains role "horde" and requires package "horde/Role" to be used
> File "js/syntaxhighlighter/styles/shCoreEmacs.css" in directory "<dir name="/">" has invalid role "horde", should be one of cfg, data, doc, php, script, test, www
> This package contains role "horde" and requires package "horde/Role" to be used
> File "js/syntaxhighlighter/styles/shCoreEclipse.css" in directory "<dir name="/">" has invalid role "horde", should be one of cfg, data, doc, php, script, test, www
> This package contains role "horde" and requires package "horde/Role" to be used
> File "js/syntaxhighlighter/styles/shCoreDjango.css" in directory "<dir name="/">" has invalid role "horde", should be one of cfg, data, doc, php, script, test, www
> This package contains role "horde" and requires package "horde/Role" to be used
> File "js/syntaxhighlighter/styles/shCoreDefault.css" in directory "<dir name="/">" has invalid role "horde", should be one of cfg, data, doc, php, script, test, www
> This package contains role "horde" and requires package "horde/Role" to be used
> File "js/syntaxhighlighter/styles/shCore.css" in directory "<dir name="/">" has invalid role "horde", should be one of cfg, data, doc, php, script, test, www
> This package contains role "horde" and requires package "horde/Role" to be used
> File "js/syntaxhighlighter/src/shLegacy.js" in directory "<dir name="/">" has invalid role "horde", should be one of cfg, data, doc, php, script, test, www
> This package contains role "horde" and requires package "horde/Role" to be used
> File "js/syntaxhighlighter/src/shCore.js" in directory "<dir name="/">" has invalid role "horde", should be one of cfg, data, doc, php, script, test, www
> This package contains role "horde" and requires package "horde/Role" to be used
> File "js/syntaxhighlighter/src/shAutoloader.js" in directory "<dir name="/">" has invalid role "horde", should be one of cfg, data, doc, php, script, test, www
> This package contains role "horde" and requires package "horde/Role" to be used
> File "js/syntaxhighlighter/scripts/shLegacy.js" in directory "<dir name="/">" has invalid role "horde", should be one of cfg, data, doc, php, script, test, www
> This package contains role "horde" and requires package "horde/Role" to be used
> File "js/syntaxhighlighter/scripts/shCore.js" in directory "<dir name="/">" has invalid role "horde", should be one of cfg, data, doc, php, script, test, www
> This package contains role "horde" and requires package "horde/Role" to be used
> File "js/syntaxhighlighter/scripts/shBrushXml.js" in directory "<dir name="/">" has invalid role "horde", should be one of cfg, data, doc, php, script, test, www
> This package contains role "horde" and requires package "horde/Role" to be used
> File "js/syntaxhighlighter/scripts/shBrushVb.js" in directory "<dir name="/">" has invalid role "horde", should be one of cfg, data, doc, php, script, test, www
> This package contains role "horde" and requires package "horde/Role" to be used
> File "js/syntaxhighlighter/scripts/shBrushSql.js" in directory "<dir name="/">" has invalid role "horde", should be one of cfg, data, doc, php, script, test, www
> This package contains role "horde" and requires package "horde/Role" to be used
> File "js/syntaxhighlighter/scripts/shBrushScala.js" in directory "<dir name="/">" has invalid role "horde", should be one of cfg, data, doc, php, script, test, www
> This package contains role "horde" and requires package "horde/Role" to be used
> File "js/syntaxhighlighter/scripts/shBrushSass.js" in directory "<dir name="/">" has invalid role "horde", should be one of cfg, data, doc, php, script, test, www
> This package contains role "horde" and requires package "horde/Role" to be used
> File "js/syntaxhighlighter/scripts/shBrushRuby.js" in directory "<dir name="/">" has invalid role "horde", should be one of cfg, data, doc, php, script, test, www
> This package contains role "horde" and requires package "horde/Role" to be used
> File "js/syntaxhighlighter/scripts/shBrushPython.js" in directory "<dir name="/">" has invalid role "horde", should be one of cfg, data, doc, php, script, test, www
> This package contains role "horde" and requires package "horde/Role" to be used
> File "js/syntaxhighlighter/scripts/shBrushPowerShell.js" in directory "<dir name="/">" has invalid role "horde", should be one of cfg, data, doc, php, script, test, www
> This package contains role "horde" and requires package "horde/Role" to be used
> File "js/syntaxhighlighter/scripts/shBrushPlain.js" in directory "<dir name="/">" has invalid role "horde", should be one of cfg, data, doc, php, script, test, www
> This package contains role "horde" and requires package "horde/Role" to be used
> File "js/syntaxhighlighter/scripts/shBrushPhp.js" in directory "<dir name="/">" has invalid role "horde", should be one of cfg, data, doc, php, script, test, www
> This package contains role "horde" and requires package "horde/Role" to be used
> File "js/syntaxhighlighter/scripts/shBrushPerl.js" in directory "<dir name="/">" has invalid role "horde", should be one of cfg, data, doc, php, script, test, www
> This package contains role "horde" and requires package "horde/Role" to be used
> File "js/syntaxhighlighter/scripts/shBrushJScript.js" in directory "<dir name="/">" has invalid role "horde", should be one of cfg, data, doc, php, script, test, www
> This package contains role "horde" and requires package "horde/Role" to be used
> File "js/syntaxhighlighter/scripts/shBrushJavaFX.js" in directory "<dir name="/">" has invalid role "horde", should be one of cfg, data, doc, php, script, test, www
> This package contains role "horde" and requires package "horde/Role" to be used
> File "js/syntaxhighlighter/scripts/shBrushJava.js" in directory "<dir name="/">" has invalid role "horde", should be one of cfg, data, doc, php, script, test, www
> This package contains role "horde" and requires package "horde/Role" to be used
> File "js/syntaxhighlighter/scripts/shBrushGroovy.js" in directory "<dir name="/">" has invalid role "horde", should be one of cfg, data, doc, php, script, test, www
> This package contains role "horde" and requires package "horde/Role" to be used
> File "js/syntaxhighlighter/scripts/shBrushErlang.js" in directory "<dir name="/">" has invalid role "horde", should be one of cfg, data, doc, php, script, test, www
> This package contains role "horde" and requires package "horde/Role" to be used
> File "js/syntaxhighlighter/scripts/shBrushDiff.js" in directory "<dir name="/">" has invalid role "horde", should be one of cfg, data, doc, php, script, test, www
> This package contains role "horde" and requires package "horde/Role" to be used
> File "js/syntaxhighlighter/scripts/shBrushDelphi.js" in directory "<dir name="/">" has invalid role "horde", should be one of cfg, data, doc, php, script, test, www
> This package contains role "horde" and requires package "horde/Role" to be used
> File "js/syntaxhighlighter/scripts/shBrushCss.js" in directory "<dir name="/">" has invalid role "horde", should be one of cfg, data, doc, php, script, test, www
> This package contains role "horde" and requires package "horde/Role" to be used
> File "js/syntaxhighlighter/scripts/shBrushCSharp.js" in directory "<dir name="/">" has invalid role "horde", should be one of cfg, data, doc, php, script, test, www
> This package contains role "horde" and requires package "horde/Role" to be used
> File "js/syntaxhighlighter/scripts/shBrushCpp.js" in directory "<dir name="/">" has invalid role "horde", should be one of cfg, data, doc, php, script, test, www
> This package contains role "horde" and requires package "horde/Role" to be used
> File "js/syntaxhighlighter/scripts/shBrushColdFusion.js" in directory "<dir name="/">" has invalid role "horde", should be one of cfg, data, doc, php, script, test, www
> This package contains role "horde" and requires package "horde/Role" to be used
> File "js/syntaxhighlighter/scripts/shBrushBash.js" in directory "<dir name="/">" has invalid role "horde", should be one of cfg, data, doc, php, script, test, www
> This package contains role "horde" and requires package "horde/Role" to be used
> File "js/syntaxhighlighter/scripts/shBrushAS3.js" in directory "<dir name="/">" has invalid role "horde", should be one of cfg, data, doc, php, script, test, www
> This package contains role "horde" and requires package "horde/Role" to be used
> File "js/syntaxhighlighter/scripts/shBrushAppleScript.js" in directory "<dir name="/">" has invalid role "horde", should be one of cfg, data, doc, php, script, test, www
> This package contains role "horde" and requires package "horde/Role" to be used
> File "js/syntaxhighlighter/scripts/shAutoloader.js" in directory "<dir name="/">" has invalid role "horde", should be one of cfg, data, doc, php, script, test, www
> This package contains role "horde" and requires package "horde/Role" to be used
> Parsing of package.xml from file "./Horde_Mime_Viewer-1.0.8/package.xml" failed
> Cannot download non-local package "./Horde_Mime_Viewer-1.0.8/package.xml"
> install failed
> dh_auto_install: /usr/bin/pear -c debian/pearrc -d download_dir=/tmp -d include_path=/usr/share/php -d php_bin=/usr/bin/php -d bin_dir=/usr/bin -d php_dir=/usr/share/php -d data_dir=/usr/share/php/data -d doc_dir=/usr/share/doc/php-horde-mime-viewer -d test_dir=/usr/share/php/tests install --offline --nodeps -P /«PKGBUILDDIR»/debian/php-horde-mime-viewer ./Horde_Mime_Viewer-1.0.8/package.xml returned exit code 1
> make: *** [binary] Error 1

The full build log is available from:
   http://people.debian.org/~lucas/logs/2012/03/31/php-horde-mime-viewer_1.0.8-1_unstable.log

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.




Reply sent to Thomas Goirand <zigo@debian.org>:
You have taken responsibility. (Sun, 29 Apr 2012 06:06:06 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Sun, 29 Apr 2012 06:06:06 GMT) Full text and rfc822 format available.

Message #10 received at 666625-close@bugs.debian.org (full text, mbox):

From: Thomas Goirand <zigo@debian.org>
To: 666625-close@bugs.debian.org
Subject: Bug#666625: fixed in php-horde-mime-viewer 1.0.8-1.1
Date: Sun, 29 Apr 2012 06:02:41 +0000
Source: php-horde-mime-viewer
Source-Version: 1.0.8-1.1

We believe that the bug you reported is fixed in the latest version of
php-horde-mime-viewer, which is due to be installed in the Debian FTP archive:

php-horde-mime-viewer_1.0.8-1.1.debian.tar.gz
  to main/p/php-horde-mime-viewer/php-horde-mime-viewer_1.0.8-1.1.debian.tar.gz
php-horde-mime-viewer_1.0.8-1.1.dsc
  to main/p/php-horde-mime-viewer/php-horde-mime-viewer_1.0.8-1.1.dsc
php-horde-mime-viewer_1.0.8-1.1_all.deb
  to main/p/php-horde-mime-viewer/php-horde-mime-viewer_1.0.8-1.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 666625@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Thomas Goirand <zigo@debian.org> (supplier of updated php-horde-mime-viewer package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Format: 1.8
Date: Sun, 29 Apr 2012 05:42:38 +0000
Source: php-horde-mime-viewer
Binary: php-horde-mime-viewer
Architecture: source all
Version: 1.0.8-1.1
Distribution: unstable
Urgency: low
Maintainer: Horde Maintainers <pkg-horde-hackers@lists.alioth.debian.org>
Changed-By: Thomas Goirand <zigo@debian.org>
Description: 
 php-horde-mime-viewer - ${phppear:summary}
Closes: 666625
Changes: 
 php-horde-mime-viewer (1.0.8-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Adds a patch to use role="www" instead of role="horde" (Closes: #666625).
Checksums-Sha1: 
 71990c99d669c2d57dffb9f755768a3eb31764d6 1278 php-horde-mime-viewer_1.0.8-1.1.dsc
 f296bcf6940a801585e6fb3dab727a52db6b78e6 4636 php-horde-mime-viewer_1.0.8-1.1.debian.tar.gz
 cd8ee63a678638a3e3aebd41bba42242ed9eef5f 157178 php-horde-mime-viewer_1.0.8-1.1_all.deb
Checksums-Sha256: 
 bb09927e906c93a039291626d669b57520a882c1a1d93806c2c9135c8b304224 1278 php-horde-mime-viewer_1.0.8-1.1.dsc
 73e8d7e4ae3e87e6e2e146476edd9bac32a91eeeba3d9b20b92ca6718fafe97c 4636 php-horde-mime-viewer_1.0.8-1.1.debian.tar.gz
 f7dfd7355d8885ef8480f10e32f263fa4817df9edec8409e2207b2e9a05fe8a1 157178 php-horde-mime-viewer_1.0.8-1.1_all.deb
Files: 
 41156c0fb632fec3c6efcb53f6a3911e 1278 php extra php-horde-mime-viewer_1.0.8-1.1.dsc
 52aace920170da17182fd9b70fa7b780 4636 php extra php-horde-mime-viewer_1.0.8-1.1.debian.tar.gz
 dab23c30667e350916c916bc786e280e 157178 php extra php-horde-mime-viewer_1.0.8-1.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEAREDAAYFAk+c1PsACgkQl4M9yZjvmknpJgCfWCWnSdzhaLrlpRydK1+xRuT0
xNEAoOoI1UKrArAKzopzQQBGhS0gcDI/
=Vu84
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Horde Maintainers <pkg-horde-hackers@lists.alioth.debian.org>:
Bug#666625; Package src:php-horde-mime-viewer. (Mon, 07 May 2012 09:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Parent <math.parent@gmail.com>:
Extra info received and forwarded to list. Copy sent to Horde Maintainers <pkg-horde-hackers@lists.alioth.debian.org>. (Mon, 07 May 2012 09:27:05 GMT) Full text and rfc822 format available.

Message #15 received at 666625@bugs.debian.org (full text, mbox):

From: Mathieu Parent <math.parent@gmail.com>
To: 666625@bugs.debian.org
Subject: Fwd: [pkg-horde] Bug#666625: marked as done (php-horde-mime-viewer: FTBFS: Cannot download non-local package "./Horde_Mime_Viewer-1.0.8/package.xml")
Date: Mon, 7 May 2012 11:25:10 +0200
---------- Forwarded message ----------
From: Mathieu Parent <math.parent@gmail.com>
Date: 2012/5/7
Subject: Re: [pkg-horde] Bug#666625: marked as done
(php-horde-mime-viewer: FTBFS: Cannot download non-local package
"./Horde_Mime_Viewer-1.0.8/package.xml")
To: Thomas Goirand <zigo@debian.org>
Cc : Horde Maintainers <pkg-horde-hackers@lists.alioth.debian.org>


Hi Thomas,

2012/4/29 Debian Bug Tracking System <owner@bugs.debian.org>:

> Changes:
>  php-horde-mime-viewer (1.0.8-1.1) unstable; urgency=low
>  .
>   * Non-maintainer upload.
>   * Adds a patch to use role="www" instead of role="horde" (Closes: #666625).

Thanks for taking care of this package.

A better fix for this is to builddep on php-horde-role.

(I'm still mostly offline).

Cheers
--
Mathieu Parent


-- 
Mathieu




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 06 Jun 2012 07:44:36 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 07:50:52 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.